Skip to main content
GET
/
events
/
{event_id}
Get One Event
curl --request GET \
  --url https://api.swoogo.com/api/v1/events/{event_id} \
  --header 'Authorization: Bearer <token>'
{
  "name": "Unauthorized",
  "message": "Your request was made with invalid credentials.",
  "code": 0,
  "status": 401
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Path Parameters

event_id
integer
required

integer - required - The ID of the event you want to get

Example:

1

Query Parameters

fields
string

string - optional - Comma separated list of fields you want to return

Example:

"capacity,close_date,close_time,created_at,created_by,description,domain,end_date,end_time,folder_id,free_event,hashtag,id,name,organizer_id,start_date,start_time,status,target_attendance,timezone,type_id,updated_at,updated_by,url,webinar_url"

expand
string

string - optional - Comma separated list of related objects to include. Valid values: folder, location, sessions, sponsors, speakers, translations

Example:

"folder,location"

Response

Get Event